package com.qmth.boot.core.ai.model.ocr;

/**
 * OCR识别类型
 */
public enum OcrType {

    /**
     * 通用文字识别
     */
    GENERAL,

    /**
     * 手写文字识别
     */
    HANDWRITING;

    public static OcrType find(String text) {
        for (OcrType type : values()) {
            if (type.toString().equalsIgnoreCase(text)) {
                return type;
            }
        }
        return null;
    }
}
